var Utils = require('utils');
var Pokkt = require('pokkt_native_extension');

Pokkt.setDebug(true);

var CurrentPokktConfig = Pokkt.createPokktConfig();

// videodemo credentials
// CurrentPokktConfig.applicationId = 'a2717a45b835b5e9f50284a38d62a74e';
// CurrentPokktConfig.securityKey = 'iJ02lJss0M';

// dev_xtreme_android credentials
CurrentPokktConfig.applicationId = '4c2b7f051a130a3f530cd948d9436e45';
CurrentPokktConfig.securityKey = '92cc1ed3930cbe0ba69779bc547bac44';

CurrentPokktConfig.thirdPartyUserId = '123456';

// buttons
var initButton = null;
var adDemo1Button = null;
var adDemo2Button = null;
var demoBannerButton = null;
var offerwallButton = null;

// create root window
var rootWindow = Titanium.UI.createWindow({
	title:'Select Demo',
	backgroundColor:'#37bc9b' // green
});
rootWindow.open();

// init-pokkt button
initButton = Utils.createButton('Init Pokkt First!', 200, '#967adc', function(){
	Titanium.API.info('initializing pokkt...');
	
	initButton.title = 'initializing...';
	initButton.touchEnabled = false;
	
    Ti.App.addEventListener('PokktInitialised', function (e) {
    	Titanium.API.info('e = ' + e);
        var params = JSON.parse(e.params);
        Titanium.API.info('params = ' + params);
    	
    	var isReady = Pokkt.parseBool(params.isReady);
        var message = params.message;
    	if (isReady) {
			initButton.title = 'pokkt initialized!';
			initButton.touchEnabled = false;
			adDemo1Button.touchEnabled = true;
			adDemo2Button.touchEnabled = true;
			demoBannerButton.touchEnabled = true;
			if (offerwallButton != null)
				offerwallButton.touchEnabled = true;
    	} else {
    		Titanium.API.info('init failed: ' + message);
			initButton.title = 'Failed to Initialize, try again!';
			initButton.touchEnabled = true;
    	}
    });
    
	Pokkt.initPokkt(CurrentPokktConfig);
});
rootWindow.add(initButton);

// demo-ad screen-1 button
adDemo1Button = Utils.createButton('Demo Video Ad', 260, '#4a89dc', function(){
	Titanium.API.info('demo-ad screen-1 selected.');
	
	// prepare and show screen
	var AdScreen = require('ad_demo_screen_2');
	var screen = new AdScreen();
	screen.createWindow(getAdConfigForScreen('DemoScreen1'));
	screen.open();
	
	rootWindow.close();
});
rootWindow.add(adDemo1Button);
adDemo1Button.touchEnabled = false;

// demo-ad screen-1 button
adDemo2Button = Utils.createButton('Demo Interstitial', 320, '#4a89dc', function(){
	Titanium.API.info('demo-ad screen-2 selected.');
	
	// prepare and show screen
	var AdScreen = require('ad_demo_screen_1');
	var screen = new AdScreen();
	screen.createWindow(getAdConfigForScreen('DemoScreen2'));
	screen.open();
	
	rootWindow.close();
});
rootWindow.add(adDemo2Button);
adDemo2Button.touchEnabled = false;

// demo banner button
demoBannerButton = Utils.createButton('Demo Banner', 380, '#4a89dc', function(){
	Titanium.API.info('demo banner invoked.');
	
	Pokkt.loadBanner('ti_banner', '2');
});
rootWindow.add(demoBannerButton);
demoBannerButton.touchEnabled = false;

// offerwall button
Ti.API.info('device name: ' + Ti.Platform.name + ', Ti.Platform.Android: ' + Ti.Platform.Android);
if (Ti.Platform.name == 'android') {
	offerwallButton = Utils.createButton('Select Offerwall', 440, '#967adc', function(e){
		Titanium.API.info('offerwall selected.');
		
		// prepare and show screen
		var OfferwallScreen = require('offerwall_screen');
		var screen = new OfferwallScreen();
		screen.createWindow(CurrentPokktConfig);
		screen.open();
		
		rootWindow.close();
	});
	rootWindow.add(offerwallButton);
	offerwallButton.touchEnabled = false;
}

// export-log button
rootWindow.add(Utils.createButton('Export Logs', 500, '#4a89dc', function(e){
	Titanium.API.info('exporting logs...');
	
	Pokkt.exportLog();
}));

function getAdConfigForScreen(screenName) {
	var adConfig = Pokkt.createAdConfig();
	adConfig.screenName = screenName;
	
	if (screenName == 'DemoScreen1') {
		adConfig.adFormat ='0';
	} else {
		adConfig.adFormat ='3';
	}
	
	return adConfig;
}
