var Utils = require('utils');
var Pokkt = require('pokkt_native_extension');
var CurrentPokktConfig = null;

var os = null;

function OfferwallScreen() {
	this.pointsEarnedLabel = null;
	this.getOfferwallButtonAny = null;
	this.getOfferwallButtonFixed = null;
	this.getPendingCoins = null;
	this.textAssetValue = null;
	
	this.bindEvents();
	os = this;
}

OfferwallScreen.prototype.bindEvents = function () {
	Ti.API.info('binding events');
	
    Ti.App.addEventListener('CoinResponse', function (e) {
    	os.pointsEarnedLabel.text = 'Points Earned: ' + e.params;
    });
    
    Ti.App.addEventListener('CoinResponseWithTransId', function (e) {
    	os.pointsEarnedLabel.text = 'Points Earned: ' + e.params;
    });
    
    Ti.App.addEventListener('CoinResponseFailed', function (e) {
    	Ti.API.info('coin response failed!');
    });
    
    Ti.App.addEventListener('CampaignAvailability', function (e) {
    	Ti.API.info('campaign availablity: ' + e.params);
    });
    
    Ti.App.addEventListener('OfferwallClosed', function (e) {
    	Ti.API.info('offerwall is closed!');
    });
};

OfferwallScreen.prototype.createWindow = function (pokktConfig) {
	CurrentPokktConfig = pokktConfig;
	
	// create root window
	this.rootWindow = Titanium.UI.createWindow({
		title:'Offerwall Campaign Screen',
		backgroundColor:'#37bc9b'
	});
	
	this.pointsEarnedLabel = Utils.createLabel('Points Earned: 0', 80);
	this.rootWindow.add(this.pointsEarnedLabel);
	
	Pokkt.checkOfferWallCampaign();
    
	// show offerwall button - any
	this.getOfferwallButtonAny = Utils.createButton('Get Offerwall (Any Asset Value)', 140, '#967adc', function (e){
		Pokkt.getCoins(0);
	});
	this.rootWindow.add(this.getOfferwallButtonAny);
	
	// asset-value input box
	this.textAssetValue = Utils.createTextField(200);
	this.rootWindow.add(this.textAssetValue);
	
	// show offerwall button - fixed
	this.getOfferwallButtonFixed = Utils.createButton('Get Offerwall (Fixed Asset Value)', 260, '#4a89dc', function (e){
		Pokkt.getCoins(os.textAssetValue.value);
	});
	this.rootWindow.add(this.getOfferwallButtonFixed);
	
	// get pending coins button
	this.getPendingCoins = Utils.createButton('Get Pending Coins', 320, '#967adc', function (e){
		Pokkt.getPendingCoins();
	});
	this.rootWindow.add(this.getPendingCoins);
};

OfferwallScreen.prototype.open = function() {
	this.rootWindow.open();
};

module.exports = OfferwallScreen;