//
//  AdNetwork.h
//  ObjectiveCTask
//
//  Created by Subhendu Sekhar Sahu on 03/07/16.
//  Copyright © 2016 Pokkt. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "PokktConfig.h"
#import "PokktNetworkModel.h"
#import "PokktAdConfig.h"
#import <UIKit/UIKit.h>

@protocol PokktAdNetwork <NSObject>

@required

- (PokktNetworkModel *) getNetworkModel;

- (void) initNetwork: (PokktConfig *)pokktConfig
        networkModel: (PokktNetworkModel *)networkModel;

- (void) cacheAd: (PokktAdConfig *)adConfig;

- (void) showAd: (PokktAdConfig *)adConfig viewController:(UIViewController *)viewController;

- (void) checkAdAvailability: (PokktAdConfig *)adConfig;


@optional

- (void) loadBanner: (PokktAdConfig *)adConfig;

- (void) setCacheTimedOut: (PokktAdConfig *)adConfig;

@end
