//
//  BannerDelegate.h
//  PokktSDK
//
//  Created by Pokkt on 31/08/16.
//  Copyright © 2016 Pokkt. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>

@protocol PokktBannerDelegate <NSObject>

@optional

/*!
 @abstract
 Will triggered when banner gets loaded and it is visible on screen.

 @param screenName you will get from Pokkt dashboard. There is a option to create screen name.
 **/

- (void)onBannerLoaded:(NSString *)screenName;

/*
 @abstract
 Will triggered when banner load failed due to ad campaign unavailability or network issue.

 @param screenName Same screen name you will get for what request was done.
 @param errorMsg Failed reason
 **/

- (void)onBannerLoadFailed:(NSString *)screenName errorMessage:(NSString *)errorMessage;


@end
