//
//  AdDelegate.h
//  ObjectiveCTask
//
//  Created by Subhendu Sekhar Sahu on 01/07/16.
//  Copyright © 2016 Pokkt. All rights reserved.
//

#import <Foundation/Foundation.h>

@class PokktAdConfig;

@protocol PokktAdDelegate <NSObject>

@optional

/*!
 @abstract
 This delegate gets trigger once ad caching completed
 
 @param adConfig Same adConfig for what request was sent
 @param reward Reward value
 **/

- (void)onAdCachingCompleted: (PokktAdConfig *)adConfig reward: (float)reward;

/*!
 @abstract
 This delegate gets trigger if ad caching failed
 
 @param adConfig Same adConfig for what request was sent
 @param message Ad caching failed reason
 **/

- (void)onAdCachingFailed: (PokktAdConfig *)adConfig errorMessage: (NSString *)errorMessage;

/*!
 @abstract
 This delegate gets trigger when ad completes
 
 @param adConfig Same adConfig for what request was sent
 **/

- (void)onAdCompleted: (PokktAdConfig *)adConfig;

/*!
 @abstract
 This delegate gets trigger when ad displayed on screen
 
 @param adConfig Same adConfig for what request was sent
 **/

- (void)onAdDisplayed: (PokktAdConfig *)adConfig;

/*!
 @abstract
 This delegate gets trigger when user gets gratify after completing video
 
 @param adConfig Same adConfig for what request was sent
 @param reward Reward value
 **/

- (void)onAdGratified: (PokktAdConfig *)adConfig reward:(float)reward;

/*!
 @abstract
 This delegate gets trigger when ad skips
 
 @param adConfig Same adConfig for what request was sent
 **/

- (void)onAdSkipped: (PokktAdConfig *)adConfig;

/*!
 @abstract
 This delegate gets trigger when ad closes
 
 @param adConfig Same adConfig for what request was sent
 @param backPressed This will be true if ad closed due to back key press otherwise false
 **/

- (void)onAdClosed:(PokktAdConfig *)adConfig;

/*!
 @abstract
 This delegate gets trigger when you call method "checkAdAvailability" to check ad is available or not.
 If ad is available then isAvailable will be true otherwise false.
 
 @param adConfig Same adConfig for what request was sent
 @param isAvailable Reward value
 **/

- (void)onAdAvailabilityStatus: (PokktAdConfig *)adConfig isAdAvailable: (BOOL)isAdAvailable;

@end
